## com.google.gwt.core.ext
Class ServletContainerLauncher

    java.lang.Object
      com.google.gwt.core.ext.ServletContainerLauncher

    public abstract class ServletContainerLauncher

extends java.lang.Object

Defines the service provider interface for launching servlet containers that can be used by the GWT hosted mode.

Constructor Summary
`ServletContainerLauncher()`

Method Summary
`abstract ServletContainer` | `start(TreeLogger logger, int port, java.io.File appRootDir)` Start an embedded HTTP servlet container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContainerLauncher

    public ServletContainerLauncher()

Method Detail

### start

    public abstract ServletContainer start(TreeLogger logger,
                                           int port,
                                           java.io.File appRootDir)
                                    throws java.net.BindException,
                                           java.lang.Exception

  Start an embedded HTTP servlet container.

  Parameters:
    `logger` - the server logger
    `port` - the TCP port to serve on; if 0 is requested, a port should be automatically selected
    `appRootDir` - the base WAR directory
  Returns:
    the launched servlet container
  Throws:
    `java.net.BindException` - if the requested port is already in use
    `java.lang.Exception` - if the server fails to start for any other reason